import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  officeName: z.string().optional().nullable(),
  receptionistName: z.string().optional().nullable(),
  dentistName: z.string().optional().nullable(),
  phoneNumber: z.string().optional().nullable(),
  email: z.string().optional().nullable(),
  fax: z.string().optional().nullable(),
  streetAddress: z.string().optional().nullable(),
  city: z.string().optional().nullable(),
  state: z.string().optional().nullable(),
  zipCode: z.string().optional().nullable()
}).strict();
export const OfficeContactCreateManyInputObjectSchema: z.ZodType<Prisma.OfficeContactCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeContactCreateManyInput>;
export const OfficeContactCreateManyInputObjectZodSchema = makeSchema();
